# Function ResolveByUuidResultFactory

- ResolveByUuidResultFactory<Entity>(
  transformer: (entity: Entity) => ControlOption,
  ): (entity: Entity) => ControlOption<any, string>

  #### Type Parameters

  - Entity

  #### Parameters

  - transformer: (entity: Entity) => ControlOption

  #### Returns (entity: Entity) => ControlOption<any, string>

  - Defined in packages/angular/form-system/src/lib/mixins/adapters.ts:11